Source Code
Platform: Java
Packages
com.vasileff.ceylon.dart.cli
Dependencies
ceylon.file1.3.2
ceylon.interop.java1.3.2
ceylon.json1.3.2
ceylon.process1.3.2
com.redhat.ceylon.cli1.3.2
com.redhat.ceylon.common1.3.2
com.vasileff.ceylon.dart.compiler1.3.2-DP4
com.vasileff.ceylon.structures1.1.1
Functions
runCompileDartToolSource Codeshared void runCompileDartTool()

Run the CeylonCompileDartTool, using arguments from arguments.

runDartSource Codeshared void runDart()
runDartToplevelSource Codeshared Integer runDartToplevel(String moduleAndVersion, {String*} arguments = [], String? toplevel = null, Boolean web = false, Boolean disableCompatibilityCheck = false, RepositoryManager repositoryManager = ...)
Parameters:
  • arguments = []
  • toplevel = null

    Specifies the fully qualified name of a toplevel method or class to run. The indicated declaration must be shared by the and have no parameters. The format is: qualified.package.name::classOrMethodName with :: acting as separator between the package name and the toplevel class or method name. (default: <module>::run)

  • web = false

    Link against the web compatible runtime. Defaults to 'false'.

  • disableCompatibilityCheck = false

    Disable Ceylon version compatibility and language module availability checks (default is false)

  • repositoryManager = package.repositoryManager()
Throws
  • ReportableException
Classes
CeylonAssembleDartToolSource Codeshared CeylonAssembleDartTool
CeylonCompileDartToolSource Codeshared CeylonCompileDartTool
CeylonInstallDartToolSource Codeshared CeylonInstallDartTool
CeylonRunDartToolSource Codeshared CeylonRunDartTool